[arch-commits] Commit in cdparanoia/repos (3 files)

Alexander Fehr alexanderf at archlinux.org
Fri Aug 8 11:48:50 EDT 2008


    Date: Friday, August 8, 2008 @ 11:48:49
  Author: alexanderf
Revision: 8182

Merged revisions 5802-8181 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/cdparanoia/trunk

........
  r8178 | alexanderf | 2008-08-08 17:38:44 +0200 (Fr, 08 Aug 2008) | 1 line
  
  upgpkg: cdparanoia 10.1-1
........

Modified:
  cdparanoia/repos/extra-x86_64/	(properties)
  cdparanoia/repos/extra-x86_64/ChangeLog
  cdparanoia/repos/extra-x86_64/PKGBUILD

-----------+
 ChangeLog |    7 +++++++
 PKGBUILD  |   16 +++++++---------
 2 files changed, 14 insertions(+), 9 deletions(-)


Property changes on: cdparanoia/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /cdparanoia/trunk:1-5801
   + /cdparanoia/trunk:1-8181

Modified: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	2008-08-08 15:48:07 UTC (rev 8181)
+++ extra-x86_64/ChangeLog	2008-08-08 15:48:49 UTC (rev 8182)
@@ -1,3 +1,10 @@
+2008-08-07  Alexander Fehr  <pizzapunk gmail com>
+
+  * cdparanoia-10.1-1:
+  New upstream release.
+  Changed license to GPL.
+  Added !makeflags option.
+
 2008-07-07  Alexander Fehr  <pizzapunk gmail com>
 
   * cdparanoia-10.0-1:

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-08-08 15:48:07 UTC (rev 8181)
+++ extra-x86_64/PKGBUILD	2008-08-08 15:48:49 UTC (rev 8182)
@@ -2,23 +2,21 @@
 # Maintainer: Alexander Fehr <pizzapunk gmail com>
 
 pkgname=cdparanoia
-pkgver=10.0
+pkgver=10.1
 pkgrel=1
 pkgdesc="Compact Disc Digital Audio extraction tool"
 arch=('i686' 'x86_64')
-url="http://xiph.org/paranoia/"
-license=('GPL3')
+url="http://www.xiph.org/paranoia/"
+license=('GPL')
 depends=('glibc')
-options=(!makeflags)
+options=('!makeflags')
 source=(http://downloads.xiph.org/releases/cdparanoia/cdparanoia-III-$pkgver.src.tgz)
-md5sums=('03a1aba5cf45ce7b83389d442a275acf')
+md5sums=('abf410217c4ba42f927bfd9d7b86e163')
 
 build() {
   cd "$srcdir/cdparanoia-III-$pkgver"
-  ./configure --prefix=/usr || return 1
 
-  sed -i 's|${prefix}/man|${prefix}/share/man|' Makefile
-
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make prefix="$pkgdir/usr" install || return 1
+  make prefix="$pkgdir/usr" MANDIR="$pkgdir/usr/share/man" install || return 1
 }




More information about the arch-commits mailing list